{% extends 'profile/layouts/frontend/base.html' %}

{% load static %}



{% block main %}
<div class="container-fluid position-relative p-0">  
    <!-- start banner  - berita -->
    <div class="container-fluid bg-primary py-5 bg-header" style="margin-bottom: 90px;">
        <div class="row py-5">
            <div class="col-12 pt-lg-5 mt-lg-5 text-center">
                <h5 class="display-5 text-white animated zoomIn">Berita Terkini</h5>
                <a href="" class="h5 text-white">Dinas Pendidikan & Kebudayaan Provinsi Papua Tengah</a>
            </div>
        </div>
    </div>
    <!-- end banner  - berita -->
</div>
<!-- Full Screen Search Start -->
<div class="modal fade" id="searchModal" tabindex="-1">
    <div class="modal-dialog modal-fullscreen">
        <div class="modal-content" style="background: rgba(9, 30, 62, .7);">
            <div class="modal-header border-0">
                <button type="button" class="btn bg-white btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body d-flex align-items-center justify-content-center">
                <div class="input-group" style="max-width: 600px;">
                    <input type="text" class="form-control bg-transparent border-primary p-3" placeholder="Type search keyword">
                    <button class="btn btn-primary px-4"><i class="bi bi-search"></i></button>
                </div>
            </div>
        </div>
    </div>
</div>
 <!-- Blog Start -->
 <div class="container-fluid py-5 wow fadeInUp" data-wow-delay="0.1s">
    <div class="container py-5">
        <div class="row g-5">
            <!-- Blog list Start -->
            <div id="blogList" class="col-lg-8">
                <div class="row g-5">
                    {% for data_info in daftar_berita %}
                    <div class="col-md-6 wow slideInUp" data-wow-delay="0.1s">
                        <div class="blog-item bg-light rounded overflow-hidden">
                            <div class="blog-img position-relative overflow-hidden">
                                <img class="img-fluid" src="/media/{{data_info.thumbnail}}" alt="">
                                
                            </div>
                            <div class="p-4">
                                <div class="d-flex mb-3">
                                    <small><i class="far fa-calendar-alt text-primary me-2"></i>{{data_info.created_at|date:"d M, Y"}}</small>
                                </div>
                                <h4 class="mb-3">{{data_info.title}}</h4>
                                <a class="text-uppercase" href="{% url 'profile:detail_berita' data_info.slug %}">Read More <i class="bi bi-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                    <div class="col-12 d-flex justify-content-center wow slideInUp" data-wow-delay="0.1s">
                        <nav aria-label="Page navigation">
                            <ul class="pagination pagination-md m-0">
                                <!-- Tombol Previous -->
                                {% if daftar_berita.has_previous %}
                                    <li class="page-item">
                                        <a class="page-link rounded-0" href="?page={{ daftar_berita.previous_page_number }}" aria-label="Previous">
                                            <span aria-hidden="true"><i class="bi bi-arrow-left"></i></span>
                                        </a>
                                    </li>
                                {% endif %}
                    
                                <!-- Halaman Pertama -->
                                <li class="page-item {% if daftar_berita.number == 1 %}active{% endif %}">
                                    <a class="page-link" href="?page=1">1</a>
                                </li>
                    
                                <!-- Halaman Tengah Dinamis -->
                                {% if daftar_berita.number > 3 %}
                                    <!-- Ellipsis Sebelum -->
                                    <li class="page-item disabled">
                                        <span class="page-link">...</span>
                                    </li>
                                {% endif %}
                    
                                {% for i in daftar_berita.paginator.page_range %}
                                    {% if i > 1 and i < daftar_berita.paginator.num_pages %}
                                        {% if i >= daftar_berita.number|add:-1 and i <= daftar_berita.number|add:1 %}
                                            <li class="page-item {% if daftar_berita.number == i %}active{% endif %}">
                                                <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                            </li>
                                        {% endif %}
                                    {% endif %}
                                {% endfor %}
                    
                                {% if daftar_berita.number < daftar_berita.paginator.num_pages|add:-2 %}
                                    <!-- Ellipsis Setelah -->
                                    <li class="page-item disabled">
                                        <span class="page-link">...</span>
                                    </li>
                                {% endif %}
                    
                                <!-- Halaman Terakhir -->
                                {% if daftar_berita.paginator.num_pages > 1 %}
                                    <li class="page-item {% if daftar_berita.number == daftar_berita.paginator.num_pages %}active{% endif %}">
                                        <a class="page-link" href="?page={{ daftar_berita.paginator.num_pages }}">{{ daftar_berita.paginator.num_pages }}</a>
                                    </li>
                                {% endif %}
                    
                                <!-- Tombol Next -->
                                {% if daftar_berita.has_next %}
                                    <li class="page-item">
                                        <a class="page-link rounded-0" href="?page={{ daftar_berita.next_page_number }}" aria-label="Next">
                                            <span aria-hidden="true"><i class="bi bi-arrow-right"></i></span>
                                        </a>
                                    </li>
                                {% endif %}
                            </ul>
                        </nav>
                    </div>
                       
                </div>
            </div>
            <!-- Blog list End -->

            <!-- Sidebar Start -->
            <div class="col-lg-4">
                <!-- Search Form Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="input-group">
                        <input type="text" class="form-control p-3" placeholder="Cari Berita Disini!">
                        <button class="btn btn-primary px-4"><i class="bi bi-search"></i></button>
                    </div>
                </div>
                <!-- Search Form End -->
                {% include 'profile/layouts/frontend/side_news.html' %}   
                <!-- Category Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h3 class="mb-0">Kategori</h3>
                    </div>
                    {% for x in cat %}
                    <div class="link-animated d-flex flex-column justify-content-start">
                        <a class="h5 fw-semi-bold bg-light rounded py-2 px-3 mb-2 category-link" href="{% url 'profile:kat_berita' x.slug %}">
                            <i class="bi bi-arrow-right me-2"></i>{{ x.nama }}
                        </a>
                    </div>
                    {% endfor %}
                </div>
                <!-- Category End -->
                
                
                <!-- Recent Post End -->
                 <!-- Tags Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h3 class="mb-0">Tag</h3>
                    </div>
                    <div class="d-flex flex-wrap m-n1" id="tag-show">
                        {% for tag_berita in tag|slice:":13" %}
                        <a href="{% url 'profile:tag_berita' slug=tag_berita.slug %}" class="btn btn-light m-1">{{ tag_berita.name }}</a>
                        {% endfor %}
                        <a class="btn btn-warning m-1" id="show-all-tags">Lihat semuanya</a>
                    </div>
                    <div id="all-tags" class="d-none">
                        {% for tag_berita in tag %}
                        <a href="{% url 'profile:tag_berita' slug=tag_berita.slug %}" class="btn btn-light m-1">{{ tag_berita.name }}</a>
                        {% endfor %}
                        <a class="btn btn-warning m-1 d-none" id="show-less-tags">Lihat lebih sedikit</a>
                    </div>
                    
                    
                    
                </div>
                <!-- Tags End -->
            </div>
            <!-- Sidebar End -->
        </div>
    </div>
</div>
<!-- Blog End -->
{% endblock main %}
{% block js %}
<script>
    document.getElementById('show-all-tags').addEventListener('click', function () {
        const tagShow = document.getElementById('tag-show');
        const allTags = document.getElementById('all-tags');

        const showAllButton = this;
        const showLessButton = document.getElementById('show-less-tags');

        showAllButton.classList.add('d-none');
        if (tagShow) {
            tagShow.classList.add('d-none');
        }

        if (allTags) {
            allTags.classList.remove('d-none');
        }
        if (showLessButton) {
            showLessButton.classList.remove('d-none');
        }
    });

    document.getElementById('show-less-tags').addEventListener('click', function () {
        const tagShow = document.getElementById('tag-show');
        const allTags = document.getElementById('all-tags');

        const showAllButton = document.getElementById('show-all-tags');
        const showLessButton = this;

        if (allTags) {
            allTags.classList.add('d-none');
        }
        showLessButton.classList.add('d-none');

        if (tagShow) {
            tagShow.classList.remove('d-none');
        }
        if (showAllButton) {
            showAllButton.classList.remove('d-none');
        }
    });
</script>


{% endblock js %}
{% include 'profile/layouts/frontend/footer.html' %}



